<?php
	$id_empresa = $_GET["e"];
	$id = $_GET["id"];
	$hoy = date("Y-m-d H:i:s");

	//CONSULTA PARA NUEVO CLIENTE
	//CONSULTA PARA NUEVO CLIENTE
	if($_POST["nombre"] != ""){

		if($_POST["id_registro"] != ""){
			mysqli_query($connect,"UPDATE Trivias SET nombre = '".$_POST["nombre"]."', estado = '".$_POST["estado"]."' WHERE id = '".$_POST["id_registro"]."'  ");
		}
		else{

			mysqli_query($connect,"INSERT INTO Trivias ( nombre, estado, created_at ) 
			VALUES 
			('".$_POST["nombre"]."', '".$_POST["estado"]."', '".$hoy."' ) ");
		}
		echo '<script>window.location = "?pg=trivias";</script>';//para evitar reinsersion
	}
	
	
	//INFORMACION DE LA BATERIA
	$query = mysqli_query($connect,"SELECT * FROM Trivias WHERE id = '".$id."' ");
	$data = mysqli_fetch_array($query);	
?>



<nav aria-label="breadcrumb" style="margin-top:15px" >
	<ol class="breadcrumb" style="background-color: rgba(0,0,0,0); margin-bottom:0px">
		<li class="breadcrumb-item"><a href="?pg=home">Home</a></li>
		<li class="breadcrumb-item active" aria-current="page"><a href="?pg=trivias">Trivias</a></li>
        <li class="breadcrumb-item active" aria-current="page">Detalle</li>
	</ol>
</nav>

<?php echo $respuesta; ?>

<div class="container" style="margin-top:15px">
	<div class="card">

        <!-- DETALLE -->
        <div class="card-body">
      
            <form action="" method="post" enctype="multipart/form-data">
                <div class="row">
                
                    <input type="hidden" name="id_registro" value="<?php echo $id; ?>">

					<div class="col-md-12 item_input">
                    	<h3>Detalle</b></h3>
                    </div>
                    
                    
                    <div class="col-md-6 item_input">    
                        <label class="ti_label">Nombre</label>
                        <input type="text" class="form-control" name="nombre" id="nombre" required value="<?php echo $data["nombre"]; ?>">
                    </div>
 
                    <div class="col-md-6 item_input">
                        <label class="ti_label">Estado</label>
                        <select class="form-control" name="estado" id="estado">
                            <option value="">Selecciona...</option>
                            <?php
                                foreach($Array_Estado as $estado){
									if($estado[0] == $data["estado"]){
										echo '<option value="'.$estado[0].'" selected="selected">'.$estado[1].'</option>';
									}
									else{
										echo '<option value="'.$estado[0].'">'.$estado[1].'</option>';
									}
								}
                            ?>
                        </select>
                    </div>

                    <div class="col-md-12" style="margin-top: 15px; text-align: left;">
                        <button type="submit" class="btn btn-success btn-block" style="border-radius: 30px;" onClick="GuardarNotificacion()">Guardar</button>
                    </div>
                            
                </div>
            </form>
    
        </div>
    </div>


    <div class="card" style="margin-top: 15px">

        <table class="table table-bordered">
            <thead class="thead-dark">
            <tr>
                <th scope="col">#</th>
                <th scope="col">Pregunta</th>
                <th scope="col">Opc. 1</th>
                <th scope="col">Opc. 2</th>
                <th scope="col">Opc. 3</th>
                <th scope="col">Opc. 4</th>
                <th scope="col">Opc. 5</th>
                <th scope="col">Orden</th>
                <th scope="col">Estado</th>
                <th scope="col" style="width: 75px; text-align:center">
                    <a href="?pg=trivia/pregunta&t=<?php echo $id; ?>">
                        <button type="button" class="btn btn-warning btn-sm" >
                            <i class="fa fa-plus"></i>
                        </button>
                    </a>
                </th>
            </tr>
            </thead>

            <tbody id="tabla_lista">
            <?php
                $count = 1;
                $queryPreg = mysqli_query($connect,"SELECT * FROM Trivia_Preguntas WHERE id_trivia = '".$data["id"]."' ORDER BY orden ASC ");
                while($dataPreg = mysqli_fetch_array($queryPreg)){

                    $text_estado = '';
                    if($dataPreg["estado"] == 1){ $text_estado = 'Activo'; }
                    if($dataPreg["estado"] == 2){ $text_estado = 'Inactivo'; }

                    echo '
                    <tr>
                        <th scope="row">'.$count.'</th>
                        <td>'.$dataPreg["pregunta"].'</td>
                        <td>'.$dataPreg["opc_1"].'</td>
                        <td>'.$dataPreg["opc_2"].'</td>
                        <td>'.$dataPreg["opc_3"].'</td>
                        <td>'.$dataPreg["opc_4"].'</td>
                        <td>'.$dataPreg["opc_5"].'</td>
                        <td>'.$dataPreg["orden"].'</td>
                        <td>'.$text_estado.'</td>
                        
                        <td align="center">
                            <a href="?pg=trivia/pregunta&id='.$dataPreg["id"].'&t='.$id.'">
                            <button type="button" class="btn btn-success btn-sm" data-toggle="modal">
                                <i class="fa fa-edit"></i>
                            </button>
                            </a>
                        </td>
                    </tr>
                    ';
                    $count++;

                }
            ?>
            </tbody>
        </table>
    </div>


</div>





<style>
.item_input{
	margin-bottom:15px;
}
</style>

<script>
var urls = '<?php echo $api; ?>';
var activar = false;
//GUARDAR ACADEMICO
function Eliminar_Imagen(val){	

	if(activar == false){
		$("#modal_general").modal("show");

		$("#modal_body").html('Esta a punto de eliminar esta imágen, esta acción es irreversible ¿Esta seguro?<br><br>');
			
		$("#modal_body").append('<button type="button" class="btn btn-danger" onclick="activar = true; Eliminar_Imagen('+val+')">Eliminar</button>');
		$("#modal_body").append('<button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>');
	}
	
	else{
		
		$("#preloader").show();
			
		jQuery.ajax({
			url: urls+"eliminar_imagen.php",
			type:'post',
			data: {id:val, url:'?pg=catalogo/detalle&id=<?php echo $id; ?>'},
			}).done(function (resp){
				//$("this").hide();	
				$("#xscript").html(resp);
			})
			.fail(function() {
			})
			.always(function(resp){
				$("#preloader").hide();
			}
		);	
	}
}
</script>


<script>
$( document ).ready(function() {
    $("#bt_sala").addClass( "btn-primary" );
});
</script>

<?php if($id != ""){ ?>
<script src="https://www.gstatic.com/firebasejs/4.9.0/firebase.js"></script>
<script>
  // Your web app's Firebase configuration
    var firebaseConfig = {
        apiKey: "AIzaSyBuEjIcLWUHKRdcaLXgExO12_jKtg4o7sw",
        authDomain: "aid2020-dd2bf.firebaseapp.com",
        databaseURL: "https://aid2020-dd2bf.firebaseio.com",
        projectId: "aid2020-dd2bf",
        storageBucket: "aid2020-dd2bf.appspot.com",
        messagingSenderId: "88875797266",
        appId: "1:88875797266:web:8fcaeffd14d925566841cb"
    };
    // Initialize Firebase
    firebase.initializeApp(firebaseConfig);
    var database = firebase.database();
	 
    
    //2. ESCUCHAMOS SI UN USUARIO SE CONECTA 
    var tb_notificaciones = database.ref('notificaciones');
    tb_notificaciones.on('value', Notificaciones);
    
    function Notificaciones(data){
        console.log(data.val());
    }
    
    function GuardarNotificacion() {
        if( $("#estado").val() ){
            database.ref( 'notificaciones' ).set({
                tipo: 4 ,
                mensaje: $("#estado").val(),
                fecha : Date.now()
            });
        }
        else{
            alert("Recuerda que todos los datos son obligatorios.");
        }
    }
    
</script>
<?php } ?>